<?php
/*
 * ----------------------------------------------------------------------------
 * Login.php                                                         01/31/2003
 * This script is called when a user trys to login. If successful, then the
 * user's session data is updated.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */
 
require_once("va-functions.inc.php");
require_once("va-userfile.inc.php");

if (!isset($_POST["referer"])) die("An error occurred. Please press the BACK button on your browser.");

session_register("userno");
session_register("username");
session_register("password");
session_register("login");

// Save the default values.
$_SESSION["userno"]   = base64_encode(0);
$_SESSION["username"] = base64_encode("");
$_SESSION["password"] = base64_encode("");
$_SESSION["login"]    = FALSE;

if (isset($_POST["logoff"])) {
    session_destroy();
    header("Location: " . $_POST["referer"]);
    die();
}

if (isset($_POST["username"])) {
    if ($_POST["username"] == "") {
        header("Location: " . $_POST["referer"]);
        die();
    } else {
        $username = $_POST["username"];
    }
} else {
    header("Location: " . $_POST["referer"]);
    die();
}

if (isset($_POST["password"])) {
    if ($_POST["password"] == "") {
        header("Location: " . $_POST["referer"]);
        die();
    } else {
        $password = md5(strtoupper($_POST["password"]));
    }
} else {
    header("Location: " . $_POST["referer"]);
    die();
}

$userno = FindHandle($username);
if ($userno == 0) $userno = FindRealName($username);
if ($userno == 0) {
    header("Location: " . $_POST["referer"]);
    die();
}

// Set the log temp variable.
$_SESSION["login"] = TRUE;

// Save the user's information.
$_SESSION["userno"]   = base64_encode($userno);
$_SESSION["username"] = base64_encode($username);
$_SESSION["password"] = base64_encode($password);

header("Location: " . $_POST["referer"]);

?>
