<?php
/*
 * ----------------------------------------------------------------------------
 * Files-DispTopics.php                                              01/31/2003
 * This script will display the file forum topics to the user based on the
 * user's security level, access flags and age.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-loginauth.inc.php");       // Login authentication.
require_once("va-database.inc.php");        // Include database functions.
require_once("layout_files.inc.php");       // Webpage header and footer.

ForumHeader();                              // Display the webpage header.
?>

<table border="1" width="750" cellspacing="0" cellpadding="2" bordercolor="#666666" style="border-collapse: collapse">
    <tr>
        <td colspan="3" bgcolor="#416DBF" height="25" width="750">
            <font class="msgTitle">&nbsp;&nbsp;File Area Topics</font></td>
    </tr>
    <tr>
        <td width="30" height="15" bgcolor="#000080"></td>
        <td width="620" height="15" bgcolor="#000080" align="left">
            <font class="msgHeader">&nbsp;Topic</font></td>
        <td width="100" height="15" bgcolor="#000080" align="center">
            <font class="msgHeader">Directories</font></td>
    </tr>

<?php
$topics = GetTopics("F");                   // Get the topic numbers.
$topicNo = count($topics);                  // Get the number of topics.

for ($x = 1; $x < $topicNo; $x++) {
    $topic = GetTopicInfo($topics[$x], "F");// Retrieve the topic information.
    if ($topic) {
        if ($topic["dbno"] != 0) {
?>

    <tr>
        <td width="30" height="30" bgcolor="#E2E2E2" align="center">
            <img border="0" src="images/folder.gif" alt="Topic Folder" width="13" height="11"></td>
        <td width="620" height="30" align="left">
            <font class="heading">&nbsp;<a href="files-dispdb.php?t=<?php print $topics[$x]; print "\">" . htmlspecialchars($topic["desc"]); ?></a></font></td>
        <td width="100" height="30" bgcolor="#E2E2E2" align="center">
            <font class="msgBody"><?php print $topic["dbno"]; ?></td>
    </tr>

<?php
        }
    }
}
?>

    <tr>
        <td bgcolor="#416DBF" align="center" colspan="3" height="25" width="750">&nbsp;</td>
    </tr>
</table>

<?php
ForumFooter();                              // Display the webpage footer.
?>
