<?php
/*
 * ----------------------------------------------------------------------------
 * Common.inc.php                                                    01/31/2003
 * This script contains common functions to the VADV-PHP project that may be
 * useful when writing web pages.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-loginauth.inc.php");

/**
* Common.inc.php :: LoginBox()
*
* This function will display the login box. If the user is not logged in, then
* he will be presented with a form to login. If the user is currently logged in,
* then he will be presented with a logoff button.
*
*/
function LoginBox() {
    global $USER;
    
    if (!$_SESSION["auth"]) {
        if ($_SESSION["error"]) {
?>
            <p class="infoBarBody" align="center"><span class="boldInfoBar">Invalid username or password!</span></p>
<?php
        }
            print "        <script language=\"javaScript\">\n";
            print "        <!--\n";
            print "        function validate(form) {\n";
            print "            if ((form.username.value.length == 0) || (form.password.value.length == 0)) {\n";
            print "                alert(\"Please enter a username and password.\")\n";
            print "                form.username.focus()\n";
            print "                return false\n";
            print "            }\n";
            print "        }\n";
            print "        //-->\n";
            print "        </script>\n";
?>
        <form name="login" method="POST" action="login.php" onsubmit="return validate(login)">
            <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
            <table width="100%" cellspacing="0" border="0" cellpadding="2">
                <tr>
                    <td width="50%">
                        <p class="infoBarBody">Username:</p>
                    </td>
                    <td width="50%">
                        <p align="left"><input type="text" name="username" size="12"></p>
                    </td>
                </tr>
                <tr>
                    <td width="50%">
                        <p class="infoBarBody">Password:</p>
                    </td>
                    <td width="50%">
                        <p align="left"><input type="password" name="password" size="12"></p>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" width="100%">
                        <p align="center"><input type="image" name="submit" src="images/login.gif" border="0" alt="Login!" width="60" height="25"></p>
                    </td>
                </tr>
            </table>
        </form>
<?php
    } else {
?>
        <form method="POST" action="login.php">
            <input type="hidden" name="logoff" value="logoff">
            <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
            <p align="center" class="infoBarBody"><span class="boldInfoBar">You are logged in as: <?php print $USER["handle"]; ?></span></p>
            <p align="center"><input type="image" name="submit" src="images/logoff.gif" border="0" alt="Logoff!" width="70" height="25"></p>
        </form>
<?php
    }
}
?>
