<?php
/*
 * ----------------------------------------------------------------------------
 * Todays_Callers.php                                                01/31/2003
 * This script will display the users who have called the BBS for today's date.
  * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once("va-functions.inc.php");       // A VADV-PHP script.
require_once("va-main.inc.php");            // Include the main BBS configuration.

?>

<!doctype html public "-//W3C//DTD HTML 4.0 //EN">
<html>

<head>
<title>[Today's Callers] - AT2k Design BBS</title>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
</head>

<body text="#C0C0C0" bgcolor="#000000">
<font face="Courier New" color="#FFFFFF" size="3">
<p align="right"><b>Virtual Advanced Today's Callers</b></font>
<hr color="#525552">

<div align="center">
  <center>
  <table border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td align="left">

<?php
// Set the filename.
$filename = $VA_SYSPATHS["data"] . '\CALLERS.LST';
if (!is_file($filename)) {
    print "<pre><font size=\"2\" color=\"#FFFF52\">\nNo Callers Today!</pre>\n";
} else if (filesize($filename) == 0) {
    print "<pre><font size=\"2\" color=\"#FFFF52\">\nNo Callers Today!</pre>\n";
} else {
    $line = array();                        // Set the file array.
    $fp = fopen($filename, "r");            // Open the file.
    for ($length = 0; !feof($fp); $length++) {
        array_push($line, fgets($fp));       // Read the line.
    }
    fclose($fp);                            // Close the file.
    $length--;                              // Adjust the number of lines.

    // Print each line and convert heart codes to html.
    print "<pre><font size=\"2\">\n";
    for ($x = 0; $x < $length; $x++) {
        print FixHeartColors($line[$x]) . "<br>";
    }
    print "</font></pre>\n";
}
?>

      </td>
    </tr>
  </table>
  </center>
</div>

<hr color="#525552">
<font face="Courier New" color="#FFFFFF" size="2"><center><p>This display was created using VADV-PHP.</p></center></font>

</font>
</body>

</html>
